Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface MouseMotionListener

All Known Implementing Classes:
  MouseMotionListener.Stub, ScrollBar.ThumbDragger

    public interface MouseMotionListener

A listener interface for receiving mouse motion events.

Nested Class Summary
`static class` `MouseMotionListener.Stub` An empty implementation of MouseMotionListener for convenience.

Method Summary
`void` `mouseDragged(MouseEvent me)` Called when the mouse has moved over the listened to object while a button was pressed.
`void` `mouseEntered(MouseEvent me)` Called when the mouse has entered the listened to object.
`void` `mouseExited(MouseEvent me)` Called when the mouse has exited the listened to object.
`void` `mouseHover(MouseEvent me)` Called when the mouse hovers over the listened to object.
`void` `mouseMoved(MouseEvent me)` Called when the mouse has moved over the listened to object.

Method Detail

### mouseDragged

    void mouseDragged(MouseEvent me)

  Called when the mouse has moved over the listened to object while a button was pressed.

  Parameters:
    `me` - The MouseEvent object

### mouseEntered

    void mouseEntered(MouseEvent me)

  Called when the mouse has entered the listened to object.

  Parameters:
    `me` - The MouseEvent object

### mouseExited

    void mouseExited(MouseEvent me)

  Called when the mouse has exited the listened to object.

  Parameters:
    `me` - The MouseEvent object

### mouseHover

    void mouseHover(MouseEvent me)

  Called when the mouse hovers over the listened to object.

  Parameters:
    `me` - The MouseEvent object

### mouseMoved

    void mouseMoved(MouseEvent me)

  Called when the mouse has moved over the listened to object.

  Parameters:
    `me` - The MouseEvent object

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.